services:
  web:
    build: .
    restart: unless-stopped
    container_name: api
    ports:
      - "8080:8080"
    env_file: .env
    links:
      - db
  db:
    container_name: db
    image: postgres
    restart: unless-stopped
    environment:
      POSTGRES_PASSWORD: ${DB_PASSWORD}
      POSTGRES_USER: ${DB_USER}
      POSTGRES_DB: ${DB_NAME}
    ports:
      - "5432:5432"
  cache:
    container_name: cache
    image: redis:7.0.2-alpine
    command: /bin/sh -c 'redis-server --appendonly yes --requirepass ${CACHE_PASSWORD}'
    restart: always
    volumes:
      - ../{APP_NAME}cache:/data
    environment:
      - CACHE_PASSWORD=${CACHE_PASSWORD}
    ports:
      - "6379:6379"
    logging:
      options:
        max-size: "10m"
        max-file: "3"